Summary:	Various utilities for manipulating Type 1 and 2 font programs
Summary(pl.UTF-8):	Różne narzędzia do operowania na fontach Type 1 i 2
Name:		t1utils
Version:	1.42
Release:	1
License:	BSD
Group:		Applications/File
Source0:	http://www.lcdf.org/type/%{name}-%{version}.tar.gz
# Source0-md5:	acc4bc832bafbdc059fb3b0cad8c3ab0
URL:		http://www.lcdf.org/type/#t1utils
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
t1utils is a collection of simple Type 1 and 2 font manipulation
programs. Together, they allow you to convert between PFA (ASCII) and
PFB (binary) formats, disassemble PFA or PFB files into human-readable
form, reassemble them into PFA or PFB format. Additionally you can
extract font resources from a Macintosh font file (ATM/Laserwriter).

%description -l pl.UTF-8
t1utils jest zestawem prostych programów do operowania na fontach
Type 1 i 2. Narzędzia te pozwalają na konwersję pomiędzy formatami PFA
(ASCII) i PFB (binarnym), przekodowanie z PFA lub PFB do postaci
"czytelnej dla człowieka", następnie ponowne złożenie do formatu PFA
lub PFB. Dodatkowo możliwe jest wyciągnięcie fontów z plików fontów z
Macintosha (ATM/Laserwriter).

%prep
%setup -q

%build
%{__aclocal}
%{__automake}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE NEWS.md README.md
%attr(755,root,root) %{_bindir}/t1ascii
%attr(755,root,root) %{_bindir}/t1asm
%attr(755,root,root) %{_bindir}/t1binary
%attr(755,root,root) %{_bindir}/t1disasm
%attr(755,root,root) %{_bindir}/t1mac
%attr(755,root,root) %{_bindir}/t1unmac
%{_mandir}/man1/t1ascii.1*
%{_mandir}/man1/t1asm.1*
%{_mandir}/man1/t1binary.1*
%{_mandir}/man1/t1disasm.1*
%{_mandir}/man1/t1mac.1*
%{_mandir}/man1/t1unmac.1*
%changelog
* Wed Apr 17 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/t1utils.git;a=log;h=master

* Tue Apr 16 2024 Jakub Bogusz <qboosh@pld-linux.org> 0089156
- updated to 1.42 (security fixes)

* Mon Mar 02 2015 Jakub Bogusz <qboosh@pld-linux.org> fb617d7
- updated to 1.39

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> 8efeaec
- x32 rebuild
- release 2 (by relup.sh)

* Sun Nov 03 2013 Jakub Bogusz <qboosh@pld-linux.org> ad4d3cb
- updated to 1.38

* Tue Jul 12 2011 Jakub Bogusz <qboosh@pld-linux.org> 6fa0fde
- updated to 1.37

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> d68fd09
- dropped pre-cvs changelog

* Sat Nov 13 2010 Jakub Bogusz <qboosh@pld-linux.org> e7f8cca
- updated to 1.36
- removed obsolete gcc4 patch

* Mon Oct 26 2009 Szymon Siwek <sls@pld-linux.org> 3bbc580
- typo

* Mon Oct 26 2009 Szymon Siwek <sls@pld-linux.org> d79f217
- added gcc4.patch
- more ac/am regeneration

* Sun Jan 13 2008 Jakub Bogusz <qboosh@pld-linux.org> fb66e64
- updated to 1.33 (fixes memory corruption bug)

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 17a1e1e
- rel 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 0d365c1
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c90c1e0
- converted to UTF-8

* Fri Oct 29 2004 paladine <paladine@pld-linux.org> 6f2d099
- spelling fixes

* Sat Apr 10 2004 Jakub Bogusz <qboosh@pld-linux.org> 8189822
- updated to 1.32

* Thu Jan 22 2004 Jakub Bogusz <qboosh@pld-linux.org> cb9dc1c
- updated to 1.30

* Tue Nov 11 2003 Jakub Bogusz <qboosh@pld-linux.org> afd3265
- updated to 1.29

* Fri Aug 15 2003 Jakub Bogusz <qboosh@pld-linux.org> b4e427c
- pl fixes

* Mon Aug 11 2003 trojan <trojan@pld-linux.org> 4cbd136
- updated to 1.28

* Tue May 27 2003 trojan <trojan@pld-linux.org> d3bb214
- added Source-md5

